package cn.reghao.tnb.user.api.dto;

import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * @author reghao
 * @date 2023-11-28 14:58:53
 */
@NoArgsConstructor
@AllArgsConstructor
@Getter
public class ContactDetail implements Serializable {
    private static final long serialVersionUID = 1L;

    private String userId;
    private String screenName;
    private String avatarUrl;
    private int gender;
    private String signature;
    private String remarkName;
    private String mobile;
    private int applyStatus;
    private int friendStatus;

    public ContactDetail(UserInfo userInfo) {
        this.userId = userInfo.getUserId();
        this.screenName = userInfo.getScreenName();
        this.avatarUrl = userInfo.getAvatarUrl();
        this.gender = userInfo.getGender();
        this.signature = userInfo.getSignature();
    }
}
